%define upstream_name    Games-ABC_Path-Solver
%define upstream_version v0.4.0

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    An ABC Path move
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Games/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::More)
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch

%description
This is a move that a branch resulted in an error.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml META.json README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/abc-path-solve
/usr/share/man/man1/abc-path-solve.1.xz



%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.4.0-3.mga6
+ Revision: 1027649
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.4.0-2.mga6
+ Revision: 950136
- Mageia 6 Mass Rebuild

* Thu Oct 23 2014 shlomif <shlomif> 0.4.0-1.mga5
+ Revision: 792756
- imported package perl-Games-ABC_Path-Solver


* Thu Oct 23 2014 cpan2dist v0.4.0-1mga
- initial mageia release, generated with cpan2dist
